/* ===========================
   GOOGLE FONTS
=========================== */
@import url('https://fonts.googleapis.com/css2?family=Anton&family=Poppins:wght@300;400;500;600;700&display=swap');

/* ===========================
   RESET
=========================== */
*{
    margin:0;
    padding:0;
    box-sizing:border-box;
}

html{
    scroll-behavior:smooth;
}




body{
    
    font-family:'Poppins',sans-serif;
    background:#000;
    color:#fff;
    width: 100%;
    max-width: 100%;
    overflow-x:hidden;

}

img{
    max-width:100%;
    display:block;
}

a{
    text-decoration:none;
    color:inherit;
}

ul{
    list-style:none;
}

/* =========================
   NAVIGATION
========================= */

.navbar {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;

    background: rgba(0, 0, 0, 0.65);
    backdrop-filter: blur(15px);
    -webkit-backdrop-filter: blur(15px);

    border-bottom: 1px solid rgba(255, 255, 255, 0.1);
}

.nav-container {
    width: 90%;
    max-width: 1200px;
    height: 75px;
    margin: auto;

    display: flex;
    align-items: center;
    justify-content: space-between;
}



.nav-links {
    display: flex;
    gap: 35px;
}

.nav-links a {
    color: white;
    text-decoration: none;
    font-size: 16px;

    transition: 0.3s;
}

.nav-links a:hover {
    color: #c77dff;
}


/* =========================
   MOBILE MENU BUTTON
========================= */

.menu-btn {
    display: none;

    width: 45px;
    height: 45px;

    border: 0;
    background: transparent;

    cursor: pointer;

    flex-direction: column;
    justify-content: center;
    align-items: center;

    gap: 5px;
}

.menu-btn span {
    display: block;

    width: 25px;
    height: 2px;

    background: white;

    transition: 0.3s;
}


/* Mobile menu */

.mobile-menu {
    display: none;

    width: 100%;

    padding: 20px 0 25px;

    background: rgba(0, 0, 0, 0.95);

    text-align: center;
}

.mobile-menu a {
    display: block;

    color: white;
    text-decoration: none;

    font-size: 17px;

    padding: 12px 0;

    transition: 0.3s;
}

.mobile-menu a:hover {
    color: #c77dff;
}


/* =========================
   PHONE
========================= */

@media (max-width: 768px) {

    .nav-container {
        height: 65px;
    }

    .nav-links {
        display: none;
    }

    .menu-btn {
        display: flex;
    }

    .mobile-menu.active {
        display: block;
    }
}

/* ===========================
   COMMON
=========================== */

.container{
    width:90%;
    max-width:1200px;
    margin:auto;
}

section{
    padding:100px 0;
}

h1,h2,h3{
    font-family:'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    letter-spacing:2px;
}

/* ===========================
   HERO
=========================== */

.hero{

    min-height:100vh;

    display:flex;
    align-items:center;
    justify-content:center;

    position:relative;

    overflow:hidden;
}
.hero::before{
    content: "";
    position: absolute;
    inset: 0;
    background-color: #000;
    background-image: url("try2.webp");
    opacity: 50%;
background-size: cover;
background-position: center;
background-repeat: no-repeat;
}

@media(max-width:768px)
{
    .hero::before{
        background-image: url("try5.webp");
    }
}


.hero-content{

    text-align:center;

    position:relative;

    z-index:2;
    
}


.social-icons a{
     display: inline-flex;
      justify-content: center; 
      align-items: center;
       width: 3rem;
        height: 3rem;
         background-color: transparent;
          border: 0.2rem solid #ffffff;
           font-size: 2rem;
            border-radius: 50%;
             margin: 3rem 1.5rem 3rem 0;
              transition: 0.3s ease;
               color: #515052; 
               text-decoration: none;
            } 
.social-icons a:hover{ 
    color: black;
     transform: scale(1.3) translateY(-5px); 
     background-color:white;
      box-shadow: 0 0 25px #7c3aed; }


.hero-content p{

    max-width: 790px;
    font-size: 15px;
    margin-top: 30px;
    
}

.hero-content h1{

    font-size:60px;

    line-height:1;

}



/* Your normal desktop styles */
.hero h1 {
    font-size: 140px;
}



.hero h1 span{
    color:#515052;
}

.hero-description {
    font-size: 18px;
}


/* =========================
   TABLET
========================= */

@media (min-width: 769px) and (max-width: 1024px) {
    .hero h1 {
        font-size: 100px;
    }

    .hero-description {
        font-size: 17px;
    }
}


/* =========================
   MOBILE
========================= */

@media (max-width: 768px) {
    .hero h1 {
        font-size: 50px;
    }

    .hero-description {
        font-size: 12px;
        max-width: 400px; 
    }
}

/* ===========================
   ABOUT
=========================== */

.about{

    background-color: rgb(255, 255, 255);
}

.about-top{

    display:grid;

    grid-template-columns:1fr 400px;

    gap:60px;

    align-items:center;
}

.about h2{
    color: #000000;

    font-size:60px;

    margin-bottom:25px;
}

.about p{

    color:#000000;

    line-height:1.8;

    margin-bottom:25px;
}

.about-image{

    display:flex;

    justify-content:center;
    overflow:visible;
}

.about-image img{
    display: block;
position: relative;
    width:340px;
     z-index: 2;

    border-radius:18px;

    border:3px solid #000000;
    transition: transform 0.4s ease,filter 0.4s ease;
}
.about-image:hover img {transform: scale(1.05);filter: brightness(1.08);}






/* ===========================
   QUALIFICATION
=========================== */

.qualification{
    position: relative;

    margin-top:30px;
}

.qualification h4{

    font-size:24px;

    margin-bottom:15px;

    color:#000000;
}

.qualification ul{

    padding-left:18px;

    list-style:disc;
}

.qualification li{

    margin-bottom:12px;

    color:#000000;
}

/* RESUME BUTTON */
/* Resume Button */
.resume-btn {
    display: inline-flex;
    align-items: center;
    gap: 8px;

    margin-top: 25px;
    padding: 12px 24px;

    color: #fff;
    background: #515052;

    border: 1px solid #000000;
    border-radius: 30px;

    text-decoration: none;
    font-size: 15px;
    line-height: 1;

    transition: all 0.3s ease;
}

.resume-btn:hover {
    transform: translateY(-3px);
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.5);
}




/* =========================
   SKILLS SECTION
========================= */
.skills {
    padding: 50px 0;
}

.skills h2 {
    color: #ffffff;
    font-size: 40px;
    margin-bottom: 30px;
}

.skills-box {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 20px;
}

.skills-box h3 {
      color: rgba(255, 255, 255, 0.75);
    margin-bottom: 12px;
}

.skills-box ul {
    list-style: none;
    padding: 0;
    margin: 0 auto;
    text-align: center;
}

.skills-box li {
    line-height: 1.6;
}

/* Compact Glass Cards */
.skill-column {
    min-height: 0;             /* important */
    padding: 25px 18px;        /* smaller inside space */
    text-align: center;

    display: flex;
    flex-direction: column;

    background: rgba(255, 255, 255, 0.06);
    border: 1px solid rgba(255, 255, 255, 0.12);
    border-radius: 20px;

    backdrop-filter: blur(15px);
    -webkit-backdrop-filter: blur(15px);

    box-shadow:
        0 10px 40px rgba(0, 0, 0, 0.25),
        inset 0 1px 1px rgba(255, 255, 255, 0.08);

    transition: 0.3s ease;
}



/* Hover effect */
.skill-column:hover {
    transform: translateY(-8px);
    border-color: rgba(219, 209, 222, 0.8);

    box-shadow:
        0 15px 45px rgba(0, 0, 0, 0.35),
        0 0 25px rgba(220, 130, 255, 0.15);
}


/* Icon circle */
.skill-icon {
    width: 70px;
    height: 70px;

    display: flex;
    align-items: center;
    justify-content: center;

    border-radius: 50%;

    background: rgba(255, 255, 255, 0.08);
    border: 1px solid rgba(255, 255, 255, 0.2);

    margin-bottom: 25px;

    font-size: 30px;
}


/* Skill title */
.skill-column h3 {
    font-size: 24px;
  
    margin-bottom: 25px;
    color: #ffffff;
}


/* Skill description */

.skill ul{

    padding-left:18px;

    list-style:disc;
}

.skill li{
    font-size: 20px;

    margin-bottom:12px;

      color: rgba(255, 255, 255, 0.75);;
}


/* =========================
   TABLET
========================= */

@media (max-width: 992px) {

    .skills-box {
        grid-template-columns: repeat(2, 1fr);
        gap: 20px;
    }

    .skill-column {
        min-height: 350px;
    }
}


/* =========================
   MOBILE
========================= */

@media (max-width: 600px) {

    .skills {
        padding: 50px 0;
    }

    .skills-box {
        grid-template-columns: repeat(2, 1fr);
        gap: 35px;
    }

    .skill-column {
        min-height: 300px;
        padding: 22px 16px;
        border-radius: 30px;
    }

    .skill-icon {
        width: 70px;
        height: 70px;
        font-size: 22px;
        margin-bottom: 18px;
    }

    .skill-column h3 {
        font-size: 25px;
        margin-bottom:8px;
    }

    .skill-column p {
       
        text-align: center;
         color: rgba(255, 255, 255, 0.75);
    
        font-size: 18px;
        line-height:1.3;
    }
}

/* =========================
   PROJECTS
========================= */

.projects {
    background: #000;
    padding: 100px 0;
    overflow: hidden;

}

.projects h2 {


    color: #fff;
    font-size: 40px;
    margin-bottom: 30px;
}


/* Cards container */

.projects-scroll {
    
    display: grid;
    grid-template-columns: repeat(4, minmax(0, 1fr));
    gap: 28px;

}


/* Individual card */

.project-card {
    min-width: 0;
    min-height: 540px;

    background: rgba(255, 255, 255, 0.06);

    border: 1px solid rgba(255, 255, 255, 0.15);

    border-radius: 24px;

    overflow: hidden;

    backdrop-filter: blur(15px);
    -webkit-backdrop-filter: blur(15px);

    transition: 0.3s ease;

    display: flex;
    flex-direction: column;
}


/* Hover */

.project-card:hover {
    transform: translateY(-8px);

    border-color:  rgba(219, 209, 222, 0.8);

    box-shadow: 0 20px 50px rgba(124, 58, 237, 0.15);
}


/* Project image */

.project-card > img {
    width: 100%;
    height: 210px;

    object-fit: cover;

    display: block;
}


/* Content */

.project-content {
    padding: 25px;

    display: flex;
    flex-direction: column;

    flex: 1;
}


/* Title */

.project-content h3 {
    text-align: center;
    color: #fff;

    font-size: 22px;

    margin-bottom: 15px;
}


/* Tags */

.project-tags {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;

    gap: 8px;

    margin-bottom: 20px;
}

.project-tags span {
    color: #fff;

    font-size: 12px;

    padding: 7px 13px;

    border-radius: 20px;

    background: rgba(255, 255, 255, 0.12);

    border: 1px solid rgba(255, 255, 255, 0.15);
}


/* Description */

.project-content p {
    text-align: center;
    color: rgba(255, 255, 255, 0.75);

    font-size: 15px;

    line-height: 1.7;

    margin-bottom: 20px;
}


/* View project */

.view-project {
    margin-top: auto;

    color: #fff;

    text-decoration: none;
    text-align: right;
    padding-right: 5px;

    font-size: 14px;

    font-weight: 600;

    transition: 0.3s ease;
}

.view-project:hover {
    color: #ffffff;
    transform: translateX(5px);
}

/* =========================
   PROJECTS - MOBILE
========================= */

@media (max-width: 768px) {

    .projects {
        padding: 60px 0;
    }

    .projects h2 {
        font-size: 38px;
        margin-left: 20px;
        margin-bottom: 25px;
    }

    .projects-scroll {
        -webkit-overflow-scrolling: touch;
        scroll-behavior: smooth;
        display: flex;
        gap: 12px;

        overflow-x: auto;

        padding: 5px 20px 15px;

        scroll-snap-type: x mandatory;

        scrollbar-width: none;
    }

    .projects-scroll::-webkit-scrollbar {
        display: none;
    }


    /* TWO CARDS ON SCREEN */

    .project-card {
        flex: 0 0 calc(50% - 6px);

        min-height: 0;       /* IMPORTANT */
        height: 390px;       /* controls card height */

        border-radius: 16px;

        scroll-snap-align: start;

        display: flex;
        flex-direction: column;
    }


    /* IMAGE */

    .project-card > img {
        width: 100%;
        height: 105px;

        object-fit: cover;

        flex-shrink: 0;
    }


    /* CONTENT */

    .project-content {
        padding: 20px;

        flex: 1;
    }


    /* TITLE */

    .project-content h3 {
        font-size: 15px;
        text-align: center;

        line-height: 1.2;

        margin-bottom: 10px;
    }


    /* TAGS */

    .project-tags {
        gap: 4px;

        margin-bottom: 20px;
    }

    .project-tags span {
        font-size: 9px;

        padding: 4px 7px;
    }


    /* DESCRIPTION */

    .project-content p {
        text-align: center;
        
        
        font-size: 8px;

        line-height:2;

        margin-bottom: 6px;
    }


    /* VIEW BUTTON */

    .view-project {
        font-size: 10px;
    }
}




/* ===========================
   CONTACT SECTION
=========================== */

.contact{
    background:#ffffff;
    padding:100px 0;
}

.contact h2{
    color: #000;
    text-align:center;
    font-size:70px;
    margin-bottom:60px;
}

.contact h2 span{
    color:#515052;
}

.contact-grid{
    display:grid;
    grid-template-columns:1fr 1fr;
    gap:40px;
}




.contact-left,
.contact-right{
    background:#000000;
    padding:35px;
    border-radius:20px;
    border:1px solid #55328a;
}

.contact-left h3{
    font-size:21px;
    margin-bottom:25px;
}

.contact-left p,
.contact-right p{
    font-size:18px;
    color:#d6d6d6;
    margin-bottom:18px;
    display:flex;
    align-items:center;
    gap:12px;
}



.contact i{
    color:#ffffff;
    font-size:22px;
}

.contact i:hover{
    
    color: black;
     transform: scale(1.3) translateY(-5px); 
     background-color:white;
      box-shadow: 0 0 25px #7c3aed; 
}



/* ===========================
   HOVER EFFECTS
=========================== */

button,
a,
img,
.skill-column,
.contact-left,
.contact-right{
    transition:.3s ease;
}

.contact-left:hover,
.contact-right:hover{
    border-color:#7c3aed;
    box-shadow:0 15px 40px rgba(124,58,237,.25);
}

/* ===========================
   SCROLLBAR
=========================== */

::-webkit-scrollbar{
    width:8px;
}

::-webkit-scrollbar-track{
    background:#515052;
}

::-webkit-scrollbar-thumb{
    background:#fffeff;
    border-radius:15px;
}




/* =========================================
   TABLET / SMALL LAPTOP
   ========================================= */
@media (max-width: 992px) {

    .hero h1 {
        font-size: 80px;
    }

    .about-top {
        grid-template-columns: 1fr;
        text-align: center;
    }

    .about-image {
        margin-top: 40px;
    }

    .skills-box {
        grid-template-columns: 1fr;
    }

    .project-flex {
        grid-template-columns: 1fr;
        text-align: center;
    }

    .project-text p {
        margin: 0 auto;
    }

    .contact-grid {
        grid-template-columns: 1fr;
    }
}


/* =========================================
   PHONE / TABLET
   ========================================= */
@media (max-width: 768px) {

    html,
    body {
        width: 100%;
        max-width: 100%;
        margin: 0;
        padding: 0;
        overflow-x: hidden;
    }

    section {
        width: 100%;
        min-height: auto;
        padding: 70px 0;
        box-sizing: border-box;
    }

    .container {
        width: 90%;
        max-width: 100%;
        margin: 0 auto;
        box-sizing: border-box;
    }

    /* HERO */
    .hero-content h1 {
        font-size: 44px;
        line-height: 1;
    }

    .hero-content p {
        max-width: 400px;
        font-size: 12px;
    }


    /* SECTION HEADINGS */
    .about h2,
    .project-text h2,
    .web-text h2,
    .contact h2 {
        font-size: 42px;
        line-height: 1.1;
    }


    /* ABOUT IMAGE */
    .about-image img {
        width: 260px;
        max-width: 100%;
        height: auto;
    }

    .qualification .resume-btn {
        display: inline-flex !important;
        visibility: visible !important;
        opacity: 1 !important;

        position: relative !important;
        z-index: 999 !important;

        align-items: center;
        justify-content: center;

        width: auto !important;
        height: auto !important;

        margin: 20px auto !important;
        padding: 10px 20px !important;

        font-size: 14px !important;
    }
}


   


    /* SKILLS */
    .skill-column {
        padding: 25px;
        box-sizing: border-box;
    }


    /* CONTACT */
    .contact-left,
    .contact-right {
        padding: 10px;
        box-sizing: border-box;
    }

@media screen and (max-width:768px) {

    .contact-grid {
        display: grid !important;
        grid-template-columns: repeat(2, 1fr) !important;
        gap: 8px !important;
        width: 100% !important;
        margin: 0 auto !important;
    }

    .contact-grid > * {
        border-radius: 8px;
    }

    .contact-grid h3 {
        font-family: 'poppins'sans-serif;
        font-size: 7px !important;
        margin: 4px 0 !important;
    }

    .contact-grid p {
        font-size: 7px !important;
        line-height: 2.5 !important;
        margin: 3px 0 !important;
    }

    .contact-grid i {
        font-size: 9px !important;
    }
}

/* =========================================
   SMALL PHONES
   ========================================= */
@media (max-width: 480px) {

    .hero h1 {
        font-size: 48px;
    }

    .about h2,
    .project-text h2,
    .web-text h2,
    .contact h2 {
        font-size: 34px;
    }

    .container {
        width: 92%;
    }

    .contact-left h3 {
        font-size: 22px;
    }

    .contact-left p,
    .contact-right p {
        font-size: 16px;
    }

    .small-text {
        font-size: 14px;
    }
}

